xt/html; charset=UTF-8
Last-Modified: Sun, 29 Dec 2024 10:21:04 GMT
Expires: Sun, 29 Dec 2024 14:21:04 GMT

<!DOCTYPE html>
<html lang='en'>
<head>
<title>cgit - Web front-end for git that you're looking at right now. Might have had a few additions from upstream.</title>
<meta name='generator' content='cgit v1.2.3-54-g00ecf'/>
<meta name='robots' content='index, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit.css'/>
<script type='text/javascript' src='/cgit.js'></script>
<link rel='shortcut icon' href='/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='https://git.twilightsparkle.space/cgit/atom/Makefile?h=master' type='application/atom+xml'/>
<link rel='vcs-git' href='https://git.twilightsparkle.space/cgit' title='cgit Git repository'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/cgit/'>cgit</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='11be5b8182fc71c00c1c00c693f64c97769d77bb'/><select name='h' onchange='this.form.submit();'>
<option value='master' selected='selected'>master</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Web front-end for git that you're looking at right now. Might have had a few additions from upstream.</td><td class='sub right'></td></tr></table>
<table class='tabs'><tr><td>
<a href='/cgit/about/'>about</a><a href='/cgit/'>summary</a><a href='/cgit/refs/?id=11be5b8182fc71c00c1c00c693f64c97769d77bb'>refs</a><a class='active' href='/cgit/log/Makefile'>log</a><a href='/cgit/tree/Makefile?id=11be5b8182fc71c00c1c00c693f64c97769d77bb'>tree</a><a href='/cgit/commit/Makefile?id=11be5b8182fc71c00c1c00c693f64c97769d77bb' rel='nofollow'>commit</a><a href='/cgit/diff/Makefile?id=11be5b8182fc71c00c1c00c693f64c97769d77bb'>diff</a><a href='/cgit/stats/Makefile'>stats</a><a href='https://git.zx2c4.com/cgit/about'>homepage</a></td><td class='form'><form class='right' method='get' action='/cgit/log/Makefile'>
<input type='hidden' name='id' value='11be5b8182fc71c00c1c00c693f64c97769d77bb'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/cgit/log/?id=11be5b8182fc71c00c1c00c693f64c97769d77bb'>root</a>/<a href='/cgit/log/Makefile?id=11be5b8182fc71c00c1c00c693f64c97769d77bb'>Makefile</a></div><div class='content'><table class='list nowrap'><tr class='nohover'><th></th><th class='left'>Commit message (<a href='/cgit/log/Makefile?id=11be5b8182fc71c00c1c00c693f64c97769d77bb&amp;showmsg=1'>Expand</a>)</th><th class='left'>Author</th><th class='left'>Age</th></tr>
<tr><td class='commitgraph'>* </td><td><a href='/cgit/commit/Makefile?id=11be5b8182fc71c00c1c00c693f64c97769d77bb' rel='nofollow'>git: update to v2.34.1</a></td><td>Christian Hesse</td><td><span title='2021-11-24 21:12:12 +0100'>2021-11-24</span></td></tr>
<tr><td class='commitgraph'>* </td><td><a href='/cgit/commit/Makefile?id=b8f2b675df61e3a4ff4db7073fe7142fc07e8b7a' rel='nofollow'>git: update to v2.34.0</a></td><td>Christian Hesse</td><td><span title='2021-11-15 22:53:04 +0100'>2021-11-15</span></td></tr>
<tr><td class='commitgraph'>* </td><td><a href='/cgit/commit/Makefile?id=45eff406554f3ff31bdf7d54daae1da5635db72e' rel='nofollow'>git: update to v2.33.0</a></td><td>Christian Hesse</td><td><span title='2021-11-03 15:34:52 +0100'>2021-11-03</span></td><<style>pre { line-height: 125%; }
td.linenos .normal { color: inherit; background-color: transparent; padding-left: 5px; padding-right: 5px; }
span.linenos { color: inherit; background-color: transparent; padding-left: 5px; padding-right: 5px; }
td.linenos .special { color: #000000; background-color: #ffffc0; padding-left: 5px; padding-right: 5px; }
span.linenos.special { color: #000000; background-color: #ffffc0; padding-left: 5px; padding-right: 5px; }
.highlight .hll { background-color: #ffffcc }
.highlight .c { color: #888888 } /* Comment */
.highlight .err { color: #a61717; background-color: #e3d2d2 } /* Error */
.highlight .k { color: #008800; font-weight: bold } /* Keyword */
.highlight .ch { color: #888888 } /* Comment.Hashbang */
.highlight .cm { color: #888888 } /* Comment.Multiline */
.highlight .cp { color: #cc0000; font-weight: bold } /* Comment.Preproc */
.highlight .cpf { color: #888888 } /* Comment.PreprocFile */
.highlight .c1 { color: #888888 } /* Comment.Single */
.highlight .cs { color: #cc0000; font-weight: bold; background-color: #fff0f0 } /* Comment.Special */
.highlight .gd { color: #000000; background-color: #ffdddd } /* Generic.Deleted */
.highlight .ge { font-style: italic } /* Generic.Emph */
.highlight .gr { color: #aa0000 } /* Generic.Error */
.highlight .gh { color: #333333 } /* Generic.Heading */
.highlight .gi { color: #000000; background-color: #ddffdd } /* Generic.Inserted */
.highlight .go { color: #888888 } /* Generic.Output */
.highlight .gp { color: #555555 } /* Generic.Prompt */
.highlight .gs { font-weight: bold } /* Generic.Strong */
.highlight .gu { color: #666666 } /* Generic.Subheading */
.highlight .gt { color: #aa0000 } /* Generic.Traceback */
.highlight .kc { color: #008800; font-weight: bold } /* Keyword.Constant */
.highlight .kd { color: #008800; font-weight: bold } /* Keyword.Declaration */
.highlight .kn { color: #008800; font-weight: bold } /* Keyword.Namespace */
.highlight .kp { color: #008800 } /* Keyword.Pseudo */
.highlight .kr { color: #008800; font-weight: bold } /* Keyword.Reserved */
.highlight .kt { color: #888888; font-weight: bold } /* Keyword.Type */
.highlight .m { color: #0000DD; font-weight: bold } /* Literal.Number */
.highlight .s { color: #dd2200; background-color: #fff0f0 } /* Literal.String */
.highlight .na { color: #336699 } /* Name.Attribute */
.highlight .nb { color: #003388 } /* Name.Builtin */
.highlight .nc { color: #bb0066; font-weight: bold } /* Name.Class */
.highlight .no { color: #003366; font-weight: bold } /* Name.Constant */
.highlight .nd { color: #555555 } /* Name.Decorator */
.highlight .ne { color: #bb0066; font-weight: bold } /* Name.Exception */
.highlight .nf { color: #0066bb; font-weight: bold } /* Name.Function */
.highlight .nl { color: #336699; font-style: italic } /* Name.Label */
.highlight .nn { color: #bb0066; font-weight: bold } /* Name.Namespace */
.highlight .py { color: #336699; font-weight: bold } /* Name.Property */
.highlight .nt { color: #bb0066; font-weight: bold } /* Name.Tag */
.highlight .nv { color: #336699 } /* Name.Variable */
.highlight .ow { color: #008800 } /* Operator.Word */
.highlight .w { color: #bbbbbb } /* Text.Whitespace */
.highlight .mb { color: #0000DD; font-weight: bold } /* Literal.Number.Bin */
.highlight .mf { color: #0000DD; font-weight: bold } /* Literal.Number.Float */
.highlight .mh { color: #0000DD; font-weight: bold } /* Literal.Number.Hex */
.highlight .mi { color: #0000DD; font-weight: bold } /* Literal.Number.Integer */
.highlight .mo { color: #0000DD; font-weight: bold } /* Literal.Number.Oct */
.highlight .sa { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Affix */
.highlight .sb { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Backtick */
.highlight .sc { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Char */
.highlight .dl { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Delimiter */
.highlight .sd { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Doc */
.highlight .s2 { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Double */
.highlight .se { color: #0044dd; background-color: #fff0f0 } /* Literal.String.Escape */
.highlight .sh { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Heredoc */
.highlight .si { color: #3333bb; background-color: #fff0f0 } /* Literal.String.Interpol */
.highlight .sx { color: #22bb22; background-color: #f0fff0 } /* Literal.String.Other */
.highlight .sr { color: #008800; background-color: #fff0ff } /* Literal.String.Regex */
.highlight .s1 { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Single */
.highlight .ss { color: #aa6600; background-color: #fff0f0 } /* Literal.String.Symbol */
.highlight .bp { color: #003388 } /* Name.Builtin.Pseudo */
.highlight .fm { color: #0066bb; font-weight: bold } /* Name.Function.Magic */
.highlight .vc { color: #336699 } /* Name.Variable.Class */
.highlight .vg { color: #dd7700 } /* Name.Variable.Global */
.highlight .vi { color: #3333bb } /* Name.Variable.Instance */
.highlight .vm { color: #336699 } /* Name.Variable.Magic */
.highlight .il { color: #0000DD; font-weight: bold } /* Literal.Number.Integer.Long */</style><div class="highlight"><pre><span></span>#ifndef MASTODONPP_VERSION_HPP
#define MASTODONPP_VERSION_HPP

#include &lt;string_view&gt;

namespace mastodonpp
{

using std::string_view;

static constexpr string_view version{&quot;@PROJECT_VERSION@&quot;};

} // namespace mastodonpp

#endif // MASTODONPP_VERSION_HPP
</pre></div>
</code></pre></td></tr></table>
</div> <!-- class=content -->
<div class='footer'>generated by <a href='https://git.zx2c4.com/cgit/about/'>cgit v1.2.3-54-g00ecf</a> (<a href='https://git-scm.com/'>git 2.39.0</a>) at 2024-12-29 10:21:06 +0000</div>
</div> <!-- id=cgit -->
</body>
</html>
/td></tr>
<tr><td class='commitgraph'>* </td><td><a href='/cgit/commit/Makefile?id=2c9f56f3e1c754f60ccffbc6c745b9d5a81ea005' rel='nofollow'>git: update to v2.19.1</a></td><td>Christian Hesse</td><td><span title='2018-10-12 23:06:02 +0200'>2018-10-12</span></td></tr>
<tr><td class='commitgraph'>* </td><td><a href='/cgit/commit/Makefile?id=824138e59194acaf5efe53690d4ef6eaf38e1549' rel='nofollow'>Bump version.</a><span class='decoration'><a class='tag-annotated-deco' href='/cgit/tag/?h=v1.2.1'>v1.2.1</a></span></td><td>Jason A. Donenfeld</td><td><span title='2018-08-03 17:04:03 +0200'>2018-08-03</span></td></tr>
<tr><td class='commitgraph'>* </td><td><a href='/cgit/commit/Makefile?id=c132ef2462b3c5223c77eb68fa372edde85cfb6b' rel='nofollow'>Bump version.</a><span class='decoration'><a class='tag-annotated-deco' href='/cgit/tag/?h=v1.2'>v1.2</a></span></td><td>Jason A. Donenfeld</td><td><span title='2018-07-13 22:40:42 +0200'>2018-07-13</span></td></tr>
<tr><td class='commitgraph'>* </td><td><a href='/cgit/commit/Makefile?id=255b78ff5291cef79978b025c9872f801de89e23' rel='nofollow'>git: update to v2.18.0</a></td><td>Christian Hesse</td><td><span title='2018-06-27 18:13:03 +0200'>2018-06-27</span></td></tr>
<tr><td class='commitgraph'>* </td><td><a href='/cgit/commit/Makefile?id=fb804a353780633b23a5452b3893fcc9f3705431' rel='nofollow'>git: update to v2.17.1</a></td><td>Christian Hesse</td><td><span title='2018-06-27 18:01:29 +0200'>2018-06-27</span></td></tr>
<tr><td class='commitgraph'>* </td><td><a href='/cgit/commit/Makefile?id=48f175083ae9ee03aa5ed7cddfbf74edf6d75774' rel='nofollow'>Makefile: drive asciidoc directly for HTML output</a></td><td>John Keeping</td><td><span title='2018-06-16 14:06:03 +0100'>2018-06-16</span></td></tr>
<tr><td class='commitgraph'>* </td><td><a href='/cgit/commit/Makefile?id=33414d7869aa55aaccd45cdb82268d454cb79863' rel='nofollow'>doc: use consistent id's when generating html files</a></td><td>Todd Zullinger</td><td><span title='2018-02-21 03:12:57 +0100'>2018-02-21</span></td></tr>
<tr><td class='commitgraph'>* </td><td><a href='/cgit/commit/Makefile?id=1dd53e3a2ffec730ec27ebe15b3d63e0b417a544' rel='nofollow'>git: update to v2.16.0</a></td><td>Christian Hesse</td><td><span title='2018-01-19 11:34:43 +0100'>2018-01-19</span></td></tr>
<tr><td class='commitgraph'>* </td><td><a href='/cgit/commit/Makefile?id=5d947ba3f06ec2c7200aab8c22170e7f2bf55a7c' rel='nofollow'>git: update to v2.15.1</a></td><td>Christian Hesse</td><td><span title='2017-12-06 20:29:10 +0100'>2017-12-06</span></td></tr>
<tr><td class='commitgraph'>* </td><td><a href='/cgit/commit/Makefile?id=86a6d358f7a6c2432fde86b9e3c5011a656f20e4' rel='nofollow'>git: update to v2.14</a></td><td>Jeff Smith</td><td><span title='2017-08-10 15:58:24 +0200'>2017-08-10</span></td></tr>
<tr><td class='commitgraph'>* </td><td><a href='/cgit/commit/Makefile?id=3d33b46df24d4dee140d0aafb1eba5fffa314cf0' rel='nofollow'>git: update to v2.13.4</a></td><td>Christian Hesse</td><td><span title='2017-08-10 15:15:54 +0200'>2017-08-10</span></td></tr>
<tr><td class='commitgraph'>* </td><td><a href='/cgit/commit/Makefile?id=91153fd02e62f2eaca8e6c140baa4f2abf39c40e' rel='nofollow'>git: update to v2.11.0</a></td><td>Christian Hesse</td><td><span title='2016-11-30 10:43:08 +0100'>2016-11-30</span></td></tr>
<tr><td class='commitgraph'>* </td><td><a href='/cgit/commit/Makefile?id=8e9ddd21a50beb9fd660cf6cd6a583234924b932' rel='nofollow'>Bump version.</a><span class='decoration'><a class='tag-annotated-deco' href='/cgit/tag/?h=v1.1'>v1.1</a></span></td><td>Jason A. Donenfeld</td><td><span title='2016-11-23 05:24:36 +0100'>2016-11-23</span></td></tr>
<tr><td class='commitgraph'>* </td><td><a href='/cgit/commit/Makefile?id=44f8c11c8d6edadedb9b83baf6f6a786c0bd8c30' rel='nofollow'>git: update to v2.10.2</a></td><td>Christian Hesse</td><td><span title='2016-11-06 21:47:04 +0100'>2016-11-06</span></td></tr>
<tr><td class='commitgraph'>* </td><td><a href='/cgit/commit/Makefile?id=d6a4730d049216f903fb0466215366f588208a40' rel='nofollow'>git: update to v2.10.1</a></td><td>Christian Hesse</td><td><span title='2016-10-04 21:54:30 +0200'>2016-10-04</span></td></tr>
<tr><td class='commitgraph'>* </td><td><a href='/cgit/commit/Makefile?id=ef3108656b9c6e22604c18bd9d05bdc847d81e87' rel='nofollow'>Makefile: remove extra space</a></td><td>Jason A. Donenfeld</td><td><span title='2016-10-01 23:35:04 +0200'>2016-10-01</span></td></tr>
<tr><td class='commitgraph'>* </td><td><a href='/cgit/commit/Makefile?id=11695a58fd732689be486edf88d145578a787c89' rel='nofollow'>git: update to v2.10.0</a></td><td>Christian Hesse</td><td><span title='2016-09-04 12:38:18 +0200'>2016-09-04</span></td></tr>
<tr><td class='commitgraph'>* </td><td><a href='/cgit/commit/Makefile?id=d6b0332982234c73a26119e4ed60d442870b8078' rel='nofollow'>git: update to v2.9.1</a></td><td>Christian Hesse</td><td><span title='2016-07-12 01:04:56 +0200'>2016-07-12</span></td></tr>
<tr><td class='commitgraph'>* </td><td><a href='/cgit/commit/Makefile?id=1e039ada8554c7e2fc65524827c61613a24256fb' rel='nofollow'>git: update to v2.9.0</a></td><td>Christian Hesse</td><td><span title='2016-06-17 12:36:58 +0200'>2016-06-17</span></td></tr>
<tr><td class='commitgraph'>* </td><td><a href='/cgit/commit/Makefile?id=a6572ce1762e0d571c3e96b5f4eff7c81015a1f2' rel='nofollow'>Bump version.</a><span class='decoration'><a class='tag-annotated-deco' href='/cgit/tag/?h=v1.0'>v1.0</a></span></td><td>Jason A. Donenfeld</td><td><span title='2016-06-07 14:45:04 +0200'>2016-06-07</span></td></tr>
<tr><td class='commitgraph'>* </td><td><a href='/cgit/commit/Makefile?id=41508c091186ece4cdc5d79c5ac0d2eda3d3edef' rel='nofollow'>git: update to v2.8.3</a></td><td>Christian Hesse</td><td><span title='2016-05-20 11:04:43 +0900'>2016-05-20</span></td></tr>
<tr><td class='commitgraph'>* </td><td><a href='/cgit/commit/Makefile?id=86bf5b47916fbe53fe637d7181e93a34d2ad6d0c' rel='nofollow'>git: update to v2.8.2</a></td><td>Christian Hesse</td><td><span title='2016-05-12 17:23:29 +0200'>2016-05-12</span></td></tr>
<tr><td class='commitgraph'>* </td><td><a href='/cgit/commit/Makefile?id=a9e9dfc55f5c57a4065be77c320224f524a9c820' rel='nofollow'>git: update to v2.7.2</a></td><td>Christian Hesse</td><td><span title='2016-02-23 03:16:26 +0100'>2016-02-23</span></td></tr>
<tr><td class='commitgraph'>* </td><td><a href='/cgit/commit/Makefile?id=85ec9f0211a0c83d6cca744e6e40d73daf4050fc' rel='nofollow'>git: update to v2.7.1</a></td><td>Christian Hesse</td><td><span title='2016-02-08 14:24:52 +0100'>2016-02-08</span></td></tr>
<tr><td class='commitgraph'>* </td><td><a href='/cgit/commit/Makefile?id=e64d5e04c3e22e713539da2b06e1052390aed43d' rel='nofollow'>Bump version</a><span class='decoration'><a class='tag-annotated-deco' href='/cgit/tag/?h=v0.12'>v0.12</a></span></td><td>Jason A. Donenfeld</td><td><span title='2016-01-14 15:43:54 +0100'>2016-01-14</span></td></tr>
</table><ul class='pager'><li><a href='/cgit/log/Makefile?id=11be5b8182fc71c00c1c00c693f64c97769d77bb&amp;ofs=50'>[next]</a></li></ul></div> <!-- class=content -->
<div class='footer'>generated by <a href='https://git.zx2c4.com/cgit/about/'>cgit v1.2.3-54-g00ecf</a> (<a href='https://git-scm.com/'>git 2.39.0</a>) at 2024-12-29 10:21:04 +0000</div>
</div> <!-- id=cgit -->
</body>
</html>
